> ## Documentation Index
> Fetch the complete documentation index at: https://docs.promptguard.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Active Overlay

> Return the current active overlay for the key's scope, if any.



## OpenAPI

````yaml /api-reference/openapi-developer.json get /api/v1/overlays/active
openapi: 3.1.0
info:
  title: PromptGuard Developer API
  description: >-
    Public API for developers to integrate PromptGuard security into their
    applications
  version: 1.0.0
servers:
  - url: https://api.promptguard.co
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /api/v1/overlays/active:
    get:
      tags:
        - overlays
      summary: Get Active Overlay
      description: Return the current active overlay for the key's scope, if any.
      operationId: get_active_overlay_api_v1_overlays_active_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/OverlayOut'
                  - type: 'null'
                title: Response Get Active Overlay Api V1 Overlays Active Get
components:
  schemas:
    OverlayOut:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        version:
          type: integer
          title: Version
        status:
          type: string
          title: Status
        project_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Id
        warnings:
          items:
            $ref: '#/components/schemas/OverlayWarningOut'
          type: array
          title: Warnings
      type: object
      required:
        - id
        - name
        - version
        - status
        - project_id
        - warnings
      title: OverlayOut
    OverlayWarningOut:
      properties:
        kind:
          type: string
          title: Kind
        field:
          type: string
          title: Field
        message:
          type: string
          title: Message
        severity:
          type: string
          enum:
            - warning
            - critical
          title: Severity
      type: object
      required:
        - kind
        - field
        - message
        - severity
      title: OverlayWarningOut
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        PromptGuard API key for developer endpoints. Keys start with pg_live_
        and are created in the dashboard.

````